function check_all(the_checker, the_names, f_name) {
	var the_form	= document.forms[f_name];
	if (the_checker.checked) {
		var do_check = true;
	} else {
		var do_check = false;
	}
	var elts = (typeof(the_form.elements[the_names]) != 'undefined') ? the_form.elements[the_names] : (typeof(the_form.elements[the_names]) != 'undefined') ? the_form.elements[the_names] : the_form.elements[the_names];
	var elts_cnt  = (typeof(elts.length) != 'undefined') ? elts.length : 0;
	if (elts_cnt) {
		for (var i = 0; i < elts_cnt; i++) {
			elts[i].checked = do_check;
		}
	} else {
		elts.checked = do_check;
	}
	return true;
}

function del_all(name, st) {
	var the_form	= document.forms[name];
	if (confirm(st)) the_form.submit();
	return false;
}
